package com.zioinfo.esn.mapper;

import com.zioinfo.esn.domain.TenantVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;

@Mapper
public interface TenantMapper {
    List<TenantVo> findAll();
    TenantVo findById(@Param("id") Long id);
    TenantVo findByCode(@Param("tenantCode") String tenantCode);
    int insert(TenantVo tenant);
    int update(TenantVo tenant);
    int delete(@Param("id") Long id);
}
